sailpoint.object

## Class AttributeDefinition

- java.lang.Object
- - sailpoint.object.BaseAttributeDefinition
  - - sailpoint.object.AttributeDefinition

    public class AttributeDefinition
    extends BaseAttributeDefinition

### Field Summary

### Fields inherited from class sailpoint.object.BaseAttributeDefinition

`_allowedValues, _categoryName, _required, TYPE_BOOLEAN, TYPE_DATE, TYPE_INT, TYPE_LONG, TYPE_PERMISSION, TYPE_SECRET, TYPE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`AttributeDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEntitlement()`
`boolean` `isMulti()`

### Methods inherited from class sailpoint.object.BaseAttributeDefinition

`getCategoryName, getDefaultValue, getDescription, getDisplayName, getName, getType, isMultiValued, isRequired, setCategoryName, setDefaultValue, setDescription, setDisplayName, setMulti, setMultiValued, setName, setRequired, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeDefinition

    public AttributeDefinition()

### Method Detail

#### isEntitlement

    public boolean isEntitlement()

#### isMulti

    public boolean isMulti()

Overrides:
  `isMulti` in class `BaseAttributeDefinition`